Acer Aspire 5 sound driver issues

Bug #1930188 reported by Bijay Shah
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
alsa-ucm-conf (Ubuntu)
Medium
Hui Wang
Focal
Medium
Hui Wang
Hirsute
Medium
Hui Wang
Impish
Medium
Hui Wang
linux (Ubuntu)
Medium
Unassigned
Focal
Medium
Hui Wang
Hirsute
Medium
Unassigned
Impish
Medium
Unassigned
pulseaudio (Ubuntu)
Medium
Unassigned
Focal
Medium
Unassigned
Hirsute
Medium
Unassigned
Impish
Medium
Unassigned

Bug Description

SRU Justification for alsa-ucm-conf:

[Impact]
On the machines with the sof audio driver, users could adjust the input
volume from UI, but this only adjusts the "Capture Volume", the "Mic
Boost" can't be changed, if "Mic Boost" is 0, even we adjust the "Capture
Volume" to max, the recorded volume is still very low.

[Fix]
Backport a upstream patch, the patch adds the "Mic Boost" into the
ucm

[Test]
plug a headset, make sure the headset-mic is the active input device,
adjust the input volume to %20, open a terminal and run alsamixer,
check the "Capture Volume" and "Mic Boost" value, then adjust the
input volume to 80%, check those values and we could see both values
are changed.

[Where problems could occur]
This patch could make the parse of input volume control fail, then
the input volume can't be changed anymore when users adjust the
volume from UI. But this possibility is very low, I tested this patch
on many lenovo and dell machines with sof audio driver, all worked
well.

====================================================================

SRU Justification for pulseaudio:

[Impact]
On the machines with the sof audio driver, after booting up, the
active output device is speaker by default, we adjust the output
volume to 100%, then we plug a headphone, and adjust the output
volume from 100% to 20%, now in theory, the speaker's volume is
100%, the headphone's volume is 20%. We plugout the headphone,
the active output device becomes speaker and we expect the volume
changes to 100%, but the output volume for speaker is 20%.

[Fix]
Backport a upstream patch, this patch is already in the pulseaudio-15.0,
so impish already has this fix. Only hirsute and focal need to backport
this patch.

[Test]
adjust speaker's volume to 80%, then plug headphone and adjust headphone's
volume to 20%, unplug the headphone, the speaker's volume becomes to 80%,
plug the headphone, the headphone's volume becomes to 20%.

[Where problems could occur]
The patch writes the output volume to hardware immediately when switching
output device on the machines with sof audio driver, this could introduce
pop noise when changing the output device, but this possibility is very
low, I tested the patch on many lenovo and dell machines with sof audio driver,
all worked as expected and have no pop noise when switching output device.

====================================================================

The patch was merged to ubuntu 5.13.0 and 5.11.0 generic kernels
with stable update already, but it is not merged to ubuntu 5.4.0
kernel yet, so I sent this SRU for the focal kernel.

[Impact]
Users plug headphone and Mic to the audio jacks, but the system
can't detect them, and couldn't output sound through headphone and
record sound through Mic.

[Fix]
Backport a upstream patch, this will set the Mic to auto-detection
mode and set the headphone to left location.

[Test]
Plug a headset to the headset audio jack, both headphone and mic
could be detected. And output the sound to headphone, could hear
the sound, record the sound through Mic, the sound could be recorded.

[Where problems could occur]
The patch is specific to Acer Aspire 5 machine, if it could introduce
regression, it will make the audio like internal mic and internal spk
stop working. But this possibility is very low.

Hello,

There seems to be lots of issues in sound driver for Acer Aspire A515-56-57XR with ALC255. I will list all of them below and what I have tried so far.

1. Headphones appears always plugged in even if they are physically not
2. When actually plugging in headset/earphones it does not auto switch from speakers/internal mic to headphones/headset microphone automatically and vice versa, have to manually switch everytime.
3. External headset/earphones microphone won't work at all

After, logs of trial and error I have found a temporary fix. This seems to use legacy intel drivers which solves all 3 issues mentioned above but the internal/dmic mic is completely gone (which seems intentional when using this). Both depreciated dmic_detect and dsp_driver works, I have been using dsp_driver for now as I need external microphone at any cost.

End of /etc/modprobe.d/alsa-base.conf
# Headset mic fix
options snd-hda-intel dmic_detect=0 / options snd-intel-dspcfg dsp_driver=1
options snd-hda-intel model=alc255-acer

In another thread similar to this I got some support and at least fixed the external microphone without using the alsa-base.conf change in custom modified kernel. I will attach it here. Now, hoping to fix other issues as well slowly like making headphones unplugged when physically removing as well as auto switching like the legacy driver one.

CVE References

Revision history for this message
Bijay Shah (bijay135) wrote :
Revision history for this message
Bijay Shah (bijay135) wrote :
Revision history for this message
Bijay Shah (bijay135) wrote :
Revision history for this message
Bijay Shah (bijay135) wrote :

Link to custom modified kernel by kaihengfeng from another thread with headset/earphones microphone fixed but other issues still remaining.

https://people.canonical.com/~khfeng/lp1918142-2/

Revision history for this message
Hui Wang (hui.wang) wrote :

Please collect a log:

sudo sh -c 'echo 1 > /sys/module/snd_hda_codec/parameters/dump_coef'

Then collect an alsa-info.txt

Revision history for this message
Bijay Shah (bijay135) wrote :

Here is alsa-info with coef enabled. This info is as of applying temp fix if it makes any difference. If alsa-info is needed with the temp fix non applied then I can attach another one later.

Revision history for this message
Hui Wang (hui.wang) wrote :

Yes, please also upload a alsa-info-with-coef without temp fix and without plugging anything into the audio jack.

Revision history for this message
Bijay Shah (bijay135) wrote :

Here is alsa info without temp fix applied and nothing plugged into audio jack.

Revision history for this message
Bijay Shah (bijay135) wrote :

Also alsa info without temp fix and headset/earphones plugged in and input/output manually switched to if it helps.

Revision history for this message
Hui Wang (hui.wang) wrote :

Please test this kernel, no need to add any temp fix.

https://people.canonical.com/~hwang4/lp1930188/

Revision history for this message
Bijay Shah (bijay135) wrote :

Hello I can't seem to boot with with kernel, something related to unpacking initparms error. The size of this kernel image seems off as well only 12mb, I am sure kernel image was around 65+ mb. Please check once thanks.

Revision history for this message
Hui Wang (hui.wang) wrote :
Revision history for this message
Bijay Shah (bijay135) wrote :

I tested this kernel here are my findings.

1. Headphones input/output are unplugged by default now

2. When I physically plug it in and select headphones input/output as default, from next plug in it auto switches to headphones input/output from internal input/output and vice versa.

2. Headphones microphone is working fine now, had to set mic boost(seems to be tied to microphone sensitivity) in alsamixer to max to get good sensitivity was set to 0 at first.

So, all issues I mentioned above seems to be solved but I have few extra small issues and want to get some insights into it before fully marking this thread as solved.

1. When internal microphone switches to external headphone microphone, internal microphone is still on and keeps picking up compared to internal speakers/headphones output where one or the other is muted automatically.

2. In the legacy driver when earphones/headphones is plugged in internal input/output devices shows as unavailable in pulse audio control and can't be selected in gnome sound settings, in current driver seems like all devices are active and can be switched without unplugging headphones/earphones. I am not sure if this is something that needs to be fixed.

3. I also notice few unplugged hdmi devices in pulse audio control which are not shown when switching to legacy driver. Like HDMI1/DP1 Output, HDMI2/DP2 Output, HDMI3/DP3 Output all of them are shown as unplugged. Also, not sure if this is something that needs to be fixed.

If you could provide some insights on these 3 extra issues would really appreciate it. Thanks again.

Revision history for this message
Bijay Shah (bijay135) wrote :
Revision history for this message
Hui Wang (hui.wang) wrote :

All your 3 questions are related to ucm, if the kernel uses legacy driver, the pulseaudio will work with traditional profile+path (/usr/share/pulesaudio/alsa-mixer/); if the kernel users sof driver, the pulseaudio will work with ucm (/usr/share/alsa/ucm2/sof-hda-dsp/).

The 3 difference you mentioned are introduced by ucm. Maybe we could make the ucm perfect in future, or maybe the latest ucm + pulseaudio already addressed those issues.

Revision history for this message
Bijay Shah (bijay135) wrote :

Thanks for the info I think I got it, these 3 are really not issue just minor inconvenience. I can adapt to it no problem.

1. For first issue can just mute internal dmic microphone when not in use since I almost never use it so permanently mute.
2. For second issue of splitting input/output sources even windows does the same for this laptop so it's normal I think.
3. Not sure about the third hdmi output devices, but since they are unplugged should cause no problem, I even had found a way to remove these once but lost the article.

I also forgot to mention one more issue the internal speakers and external headphones are sharing the same volume in current driver even with modified kernel above (legacy driver has different volumes), changing one and switching to other changes switched one volume as well, maybe this could be fixed?

Also, I am not knowledgeable about how these fixes reaches official ubuntu kernels and how much time could it take. I will keep using temp fix till these fixes arrives in official kernel. If I could get some information about these would be helpful as well.

Revision history for this message
Hui Wang (hui.wang) wrote :

I reproduced the issue of "speaker and headphone share the same volume". will investigate it.

Revision history for this message
Bijay Shah (bijay135) wrote :

Thanks a lot, looking forward to the fix eagerly.

Revision history for this message
Hui Wang (hui.wang) wrote :

Please install the testing pulseaudio, reboot and redo the test.This pulseaudio is for fixing the issue of "speaker and headphone share the same volume".

https://launchpad.net/~hui.wang/+archive/ubuntu/pa-testing

Revision history for this message
Bijay Shah (bijay135) wrote :

I just tested with the latest custom kernel shared here and with this updated pulseaudio package and can confirm speakers and headphones have separate volume now.

Thanks a lot again, I guess all of the major 3 initially mentioned and 1 extra issues are solved now and hope the 3 ucm realted very minor issues will be refined in future.

So, now only thing remaining is to get these fixes in official ubuntu kernel and pulseaudio package I guess, also I am not sure if it's safe to keep using the custom kernel/pulseaudio driver or wait till it arrives officially and meanwhile keep using temp fix for now.

Revision history for this message
Hui Wang (hui.wang) wrote :
Revision history for this message
Bijay Shah (bijay135) wrote :

Glad to know it won't take too long to be available in ubuntu. This is a very popular budget laptop so many ubuntu users will be happy when the sound driver issues are fixed and everything works smoothly.

Will wait patiently for a notification from this thread that the fixes are now available officially in ubuntu also really appreciate this being fixed so quickly that I expected.

Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Revision history for this message
Bijay Shah (bijay135) wrote :

I just tested the kernel upgrade to 5.8.0-60-generic from focal-purposed using aptitude. I see no changes at all all the issues remain don't think the fix has been implemented yet.

tags: added: verification-failed-focal
removed: verification-needed-focal
Revision history for this message
Hui Wang (hui.wang) wrote :

Ah, I checked the generic focal kernel (5.4.0), groovy kernel (5.8.0) and hirsute kernel (5.11.0), the fix is not in those kernels.

I guess "verification-needed-focal" is for kernel 5.13.0-oem-1005, I checked this kernel, the fix is landed in this kernel.

Revision history for this message
Bijay Shah (bijay135) wrote :

How do I even verify it, I can't find it in mainline kernel installed list. Let me know what I should do. Thanks.

Revision history for this message
Hui Wang (hui.wang) wrote :

try:

Enable Pre-released updates (focal-proposed) in the "Software & Updates)
$sudo apt-get update
$sudo apt install linux-image-unsigned-5.13.0-1005-oem

Revision history for this message
Bijay Shah (bijay135) wrote :

I just tested linux-image-unsigned-5.13.0-1005-oem after enabling focal-purposed and can confirm the fix is merged there, all relevant fixes are working fine.

I also noticed one more thing that the microphone boost in alsamixer is untied to microphone volume now. Can change volume seperately and increase/decrease boost separately really glad about this one as well.

Let me know if I should update the tag to 'verification-done-focal'. The kernel version where the fix has landed seems very far off from ubuntu current one, guess it will take very long to arrive officially.

Also, let me know about if this thread will remain non-closed till fixes of both pulseaudio and kernel arrives officially in stable release this way I will have somewhere to keep track.

Bijay Shah (bijay135)
tags: added: verification-done-focal
removed: verification-failed-focal
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-hirsute' to 'verification-done-hirsute'. If the problem still exists, change the tag 'verification-needed-hirsute' to 'verification-failed-hirsute'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-hirsute
Revision history for this message
Bijay Shah (bijay135) wrote :

Just tested focal proposed kernel again using amplitude, there was only update for linux-base and like before fix has not been merged yet.

So, I am not sure if I should update new label to done based on previous test of "linux-image-unsigned-5.13.0-1005-oem" where the fix has actually landed. If I can get some confirmation would be great. Thanks.

Revision history for this message
Bijay Shah (bijay135) wrote :

I am already on 5th day without confirmation, so will just be updating the tag based on the suggested kernel that I tried before.

tags: added: verification-done-hirsute
removed: verification-needed-hirsute
Revision history for this message
Hui Wang (hui.wang) wrote :

The fixing patch is already in the hirsute kernel 5.11.0-26.28:

url = git://kernel.ubuntu.com/ubuntu/ubuntu-hirsute.git

hwang4@hwang4-ThinkPad-X1-Nano-Gen-1:~/work/mainline/hirsute/ubuntu-hirsute$ git tag --contains d4e6bfce3c284f35dc5b9f84854cadc68b5bad0b
Ubuntu-5.11.0-26.28

Changed in linux (Ubuntu Focal):
importance: Undecided → Medium
assignee: nobody → Hui Wang (hui.wang)
Changed in linux (Ubuntu Impish):
importance: Undecided → Medium
Changed in linux (Ubuntu Hirsute):
importance: Undecided → Medium
Changed in linux (Ubuntu Impish):
status: New → Fix Released
Changed in linux (Ubuntu Hirsute):
status: New → Fix Released
Revision history for this message
Hui Wang (hui.wang) wrote :

The fixing patch is already in the impish kernel from Ubuntu-unstable-5.13.0-10.10

Revision history for this message
Hui Wang (hui.wang) wrote :

Since the ubuntu 5.8.0-generic nearly reaches EOL, the fixing patch will not be merged to ubuntu 5.8.0-generic kernel.

Hui Wang (hui.wang)
description: updated
Changed in linux (Ubuntu Focal):
status: New → In Progress
Revision history for this message
Bijay Shah (bijay135) wrote :

Is it also possible to keep a track for pulseaudio here to know when pulseaudio side of fix is released officially. Thanks.

Changed in linux (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (36.6 KiB)

This bug was fixed in the package linux - 5.4.0-84.94

---------------
linux (5.4.0-84.94) focal; urgency=medium

  * focal/linux: 5.4.0-84.94 -proposed tracker (LP: #1941767)

  * Server boot failure after adding checks for ACPI IRQ override (LP: #1941657)
    - Revert "ACPI: resources: Add checks for ACPI IRQ override"

linux (5.4.0-83.93) focal; urgency=medium

  * focal/linux: 5.4.0-83.93 -proposed tracker (LP: #1940159)

  * fails to launch linux L2 guests on AMD (LP: #1940134) // CVE-2021-3653
    - KVM: nSVM: avoid picking up unsupported bits from L2 in int_ctl
      (CVE-2021-3653)

  * fails to launch linux L2 guests on AMD (LP: #1940134)
    - SAUCE: Revert "UBUNTU: SAUCE: KVM: nSVM: avoid picking up unsupported bits
      from L2 in int_ctl"

linux (5.4.0-82.92) focal; urgency=medium

  * focal/linux: 5.4.0-82.92 -proposed tracker (LP: #1939799)

  * Packaging resync (LP: #1786013)
    - debian/dkms-versions -- update from kernel-versions (main/2021.08.16)

  * CVE-2021-3656
    - SAUCE: KVM: nSVM: always intercept VMLOAD/VMSAVE when nested

  * CVE-2021-3653
    - SAUCE: KVM: nSVM: avoid picking up unsupported bits from L2 in int_ctl

  * [regression] USB device is not detected during boot (LP: #1939638)
    - SAUCE: Revert "usb: core: reduce power-on-good delay time of root hub"

  * dev_forward_skb: do not scrub skb mark within the same name space
    (LP: #1935040)
    - dev_forward_skb: do not scrub skb mark within the same name space

  * XPS 9510 (TGL) Screen Brightness could not be changed (LP: #1933566)
    - SAUCE: drm/i915: Force DPCD backlight mode for Dell XPS 9510(TGL)

  * Acer Aspire 5 sound driver issues (LP: #1930188)
    - ALSA: hda/realtek: headphone and mic don't work on an Acer laptop

  * Sony Dualshock 4 usb dongle crashes the whole system (LP: #1935846)
    - HID: sony: Workaround for DS4 dongle hotplug kernel crash.

  * [21.10 FEAT] KVM: Provide a secure guest indication (LP: #1933173)
    - s390/uv: add prot virt guest/host indication files
    - s390/uv: fix prot virt host indication compilation

  * Skip rtcpie test in kselftests/timers if the default RTC device does not
    exist (LP: #1937991)
    - selftests: timers: rtcpie: skip test if default RTC device does not exist

  * Focal update: v5.4.133 upstream stable release (LP: #1938713)
    - drm/mxsfb: Don't select DRM_KMS_FB_HELPER
    - drm/zte: Don't select DRM_KMS_FB_HELPER
    - drm/amd/amdgpu/sriov disable all ip hw status by default
    - drm/vc4: fix argument ordering in vc4_crtc_get_margins()
    - net: pch_gbe: Use proper accessors to BE data in pch_ptp_match()
    - drm/amd/display: fix use_max_lb flag for 420 pixel formats
    - hugetlb: clear huge pte during flush function on mips platform
    - atm: iphase: fix possible use-after-free in ia_module_exit()
    - mISDN: fix possible use-after-free in HFC_cleanup()
    - atm: nicstar: Fix possible use-after-free in nicstar_cleanup()
    - net: Treat __napi_schedule_irqoff() as __napi_schedule() on PREEMPT_RT
    - drm/mediatek: Fix PM reference leak in mtk_crtc_ddp_hw_init()
    - reiserfs: add check for invalid 1st journal block
    - drm/virtio: Fix double free on probe failure
    - dr...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Bijay Shah (bijay135) wrote :

Hello, my ubuntu 20.4.3 LTS kernel is already in 5.11.0-27-generic version does it mean both pulse audio and kernel side fix are already released? Last time I checked don't think the fix was there. Looking for some clarification. Thanks.

Revision history for this message
Hui Wang (hui.wang) wrote :

pulseaudio fix is not merged to ubuntu pulseaudio yet. I will start to SRU the pulseaudio and alsa-ucm-conf fix to ubuntu next week.

Revision history for this message
Bijay Shah (bijay135) wrote :

I tested kernel side of fix in ubuntu officially updated 5.11.0-34-generic.

I think all 3 fixes are working fine headphones input/output unplugged by default, auto switch to internal/headphones on plug in/plug out and headphone microphone input.

So, I have removed all temp fixes and started using the new drivers now very glad to finally receive the fix officially. Patiently waiting for pulseaudio fix to separate volume.

I did notice one small issue, I think I forgot to test this before and not sure if I need to file a new bug report for it now.
- When headphones are plugged in and if I restart/shutdown-turn on the laptop and log in it does not detect headphones microphone at all and internal microphone is selected.
- For output device headphones are plugged in but left/right channel is merged into both channels
- To fix this need to re-plug the headphones/earphones and the issue goes away or during first boot only plug in only after logging in.

Revision history for this message
Hui Wang (hui.wang) wrote :

@Bijay,

About the new issue, please file a new bug against it.

thx.

Revision history for this message
Bijay Shah (bijay135) wrote :

Sure will do.

Hui Wang (hui.wang)
no longer affects: pulseaudio (Ubuntu Impish)
Changed in pulseaudio (Ubuntu Focal):
status: New → In Progress
Changed in pulseaudio (Ubuntu Hirsute):
status: New → In Progress
Changed in pulseaudio (Ubuntu Focal):
importance: Undecided → Medium
Changed in pulseaudio (Ubuntu Hirsute):
importance: Undecided → Medium
Revision history for this message
Hui Wang (hui.wang) wrote :

Hi sponsor-team,

This is the debdiff for pulseaudio of hirsute.

thx.

Revision history for this message
Hui Wang (hui.wang) wrote :

Hi sponsor-team,

This is the debdiff for pulseaudio of focal.

thx.

Hui Wang (hui.wang)
description: updated
Hui Wang (hui.wang)
Changed in pulseaudio (Ubuntu):
status: New → In Progress
no longer affects: alsa-ucm-conf (Ubuntu)
no longer affects: alsa-ucm-conf (Ubuntu Focal)
no longer affects: alsa-ucm-conf (Ubuntu Hirsute)
Hui Wang (hui.wang)
no longer affects: alsa-ucm-conf (Ubuntu)
Hui Wang (hui.wang)
no longer affects: alsa-ucm-conf (Ubuntu)
Hui Wang (hui.wang)
no longer affects: linux (Ubuntu)
affects: alsa-ucm-conf (Ubuntu) → linux (Ubuntu)
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Missing required logs.

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1930188

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: groovy
Revision history for this message
Hui Wang (hui.wang) wrote :

This is the debdiff of alsa-ucm-conf for impish.

thx.

Changed in linux (Ubuntu Impish):
status: Incomplete → Fix Released
Revision history for this message
Hui Wang (hui.wang) wrote :

This is the debdiff of alsa-ucm-conf for hirsute.

thx.

Hui Wang (hui.wang)
description: updated
Revision history for this message
Bijay Shah (bijay135) wrote :

Hello, regarding the latest SRU Justification for alsa-ucm-conf

Isn't it normal to have separate microphone volume and mic boost. Currently I have mic volume on 100% and mic boost on 20db gain. It's just like windows where microphone volume and mic boost is separate. We just don't have UI for it need to change using alsamixer.

With latest ubuntu official kernel mic boost has 4 levels just like windows now 0db, 10db, 20db, 30db. Anything above 20db causes too much noise. So, if mic volume and boost was to be tied so that both changes it would be difficult to achieve what I am using right now.

Maybe would be better to provide a UI to change mic boost independently. Just a suggestion, let me know if I got the change wrong. Thanks.

Revision history for this message
Hui Wang (hui.wang) wrote :

@Bijay,

This change is consistent to the Legacy HDA audio, the Capture Volume and Mic boost are bond together when changing the input volume from UI.

With this change, you could get "mic volume on 100% and mic boost on 20db gain" through adjusting input volume from UI (capture volume is changed first, after it is 100%, then start to change mic boost).

I will upload a new debdiff for focal, then you could manually change /usr/share/alsa/ucm2/sof-hda-dsp/HiFi.conf as the debdiff, reboot and test.

Revision history for this message
Hui Wang (hui.wang) wrote :

This is an updated debdiff of alsa-ucm-conf for focal. Please ignore the previous one (I hide the previous one).

thx.

Revision history for this message
Bijay Shah (bijay135) wrote (last edit ):

If it works as you say then I think it's fine. I will test it out when it is available by official update. Thanks.

Changed in pulseaudio (Ubuntu):
status: In Progress → Fix Released
importance: Undecided → Medium
Mathew Hodson (mhodson)
no longer affects: linux (Ubuntu Focal)
no longer affects: linux (Ubuntu Hirsute)
no longer affects: linux (Ubuntu Impish)
no longer affects: pulseaudio (Ubuntu Focal)
no longer affects: pulseaudio (Ubuntu Hirsute)
Changed in linux (Ubuntu Focal):
status: New → Fix Released
Changed in linux (Ubuntu Hirsute):
status: New → Fix Released
Changed in pulseaudio (Ubuntu Focal):
status: New → In Progress
Changed in pulseaudio (Ubuntu Hirsute):
status: New → In Progress
Changed in pulseaudio (Ubuntu Focal):
importance: Undecided → Medium
Changed in pulseaudio (Ubuntu Hirsute):
importance: Undecided → Medium
Changed in linux (Ubuntu Focal):
assignee: nobody → Hui Wang (hui.wang)
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Focal):
importance: Undecided → Medium
Changed in linux (Ubuntu Hirsute):
importance: Undecided → Medium
Hui Wang (hui.wang)
Changed in alsa-ucm-conf (Ubuntu Focal):
assignee: nobody → Hui Wang (hui.wang)
importance: Undecided → Medium
status: New → In Progress
Changed in alsa-ucm-conf (Ubuntu Hirsute):
importance: Undecided → Medium
status: New → In Progress
Changed in alsa-ucm-conf (Ubuntu Impish):
importance: Undecided → Medium
status: New → In Progress
Changed in alsa-ucm-conf (Ubuntu Focal):
status: In Progress → Fix Committed
Changed in alsa-ucm-conf (Ubuntu Hirsute):
assignee: nobody → Hui Wang (hui.wang)
status: In Progress → Fix Committed
Changed in alsa-ucm-conf (Ubuntu Impish):
assignee: nobody → Hui Wang (hui.wang)
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote : Please test proposed package

Hello Bijay, or anyone else affected,

Accepted alsa-ucm-conf into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/alsa-ucm-conf/1.2.4-2ubuntu1.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-hirsute
removed: verification-done-hirsute
tags: added: verification-needed-focal
removed: verification-done-focal
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Bijay, or anyone else affected,

Accepted alsa-ucm-conf into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/alsa-ucm-conf/1.2.2-1ubuntu0.11 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in pulseaudio (Ubuntu Hirsute):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Bijay, or anyone else affected,

Accepted pulseaudio into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pulseaudio/1:14.2-1ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in pulseaudio (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Bijay, or anyone else affected,

Accepted pulseaudio into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pulseaudio/1:13.99.1-1ubuntu3.12 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Bijay Shah (bijay135) wrote (last edit ):

Great, I will test out both the committed fixes from focal proposed and update hopefully by today.

Revision history for this message
Bijay Shah (bijay135) wrote :

Hello, I tested both of the committed fixes from focal-proposed packages. Here are my upgrade screenshots/logs and results

alsa-ucm-conf:
Volume is directly tied to mic boost now. I did some test and found out the mic boost applied to specific volume ranges using pavucontrol. Hope these ranges are as intended. I couldn't get 100% mic volume and 20db boost like windows but for 20db boost 69% to 99% volume level is possible so fine for me.

0% to 46% -> 0 db boost

47% to 68% -> 10 db boost

69% to 99% -> 20 db boost

100% above -> 30 db boost

pulseaudio:
Volume is seperated for speakers and headphones now. Like if I keep speaker volume to 75%, plug in headphones and keep it at 35% then plug headphones out speakers 75% volume is restored and vice versa. I noticed sometimes the headphones volume drops by 1% than it was before in alsamixer but guess it's due to rounding off or something not really an issue just for information.

Revision history for this message
Bijay Shah (bijay135) wrote :
tags: added: verification-done-focal
removed: verification-needed-focal
Revision history for this message
Bijay Shah (bijay135) wrote (last edit ):

I don't have ubuntu hirsute version so won't be able to test for it. Maybe someone else can.

Also, I wanted to know if the same packages will be there for official release?

If yes can I keep using these proposed packages and maybe when it releases officially only the apt cache version will point to focal-updates instead of focal-purposed for same packages.

If not I will downgrade all those in aplitude-upgrade screenshot and upgrade officially later. Thanks.

Revision history for this message
Hui Wang (hui.wang) wrote :

I installed the ubuntu hirsute on a Dell machine which enabled sof audio driver and enanbled -proposed ppa, installed the pulseaudio 1:14.2-1ubuntu1.2 and alsa-ucm-conf 1.2.4-2ubuntu1.4. now the speaker and headphone has separate volume from gnome-sound-setting, this verified the pulseaudio's SRU. And adjust the external microphone's volume, the Mic Boost is changed accordingly. This verified the alsa-ucm-conf. And all audio output and input worked as well as before.

Verification done on hirsute.

thx.

tags: added: verification-done verification-done-hirsute
removed: verification-needed verification-needed-hirsute
Revision history for this message
Brian Murray (brian-murray) wrote :

Hello Bijay, or anyone else affected,

Accepted alsa-ucm-conf into impish-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/alsa-ucm-conf/1.2.4-2ubuntu5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-impish to verification-done-impish. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-impish. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-impish
removed: verification-done
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:14.2-1ubuntu1.2

---------------
pulseaudio (1:14.2-1ubuntu1.2) hirsute; urgency=medium

  * d/p/0001-alsa-sink-source-set-volume-to-hw-immediately-if-ucm.patch
    Fix the output volume issue for machines with sof audio driver, if
    a machine uses sof audio driver, the headphone and speaker will share
    the output volume from UI, this patch will fix this issue, after
    applying this patch, the speaker and headphone will have independent
    volume. (LP: #1930188)

 -- Hui Wang <email address hidden> Mon, 13 Sep 2021 11:28:16 +0800

Changed in pulseaudio (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote : Update Released

The verification of the Stable Release Update for pulseaudio has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-ucm-conf - 1.2.4-2ubuntu1.4

---------------
alsa-ucm-conf (1.2.4-2ubuntu1.4) hirsute; urgency=medium

  * d/p/0007-HDA-Intel-add-Boost-volume-control-for-Headset-Mic.patch
    Add Mic Boost in the HDA Intel ucm, after this change, when users
    adjust input volume, the Mic Boost could be adjusted as well as
    Capture Volume. (LP: #1930188)

 -- Hui Wang <email address hidden> Tue, 14 Sep 2021 11:08:28 +0800

Changed in alsa-ucm-conf (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:13.99.1-1ubuntu3.12

---------------
pulseaudio (1:13.99.1-1ubuntu3.12) focal; urgency=medium

  * d/p/0001-alsa-sink-source-set-volume-to-hw-immediately-if-ucm.patch
    Fix the output volume issue for machines with sof audio driver, if
    a machine uses sof audio driver, the headphone and speaker will share
    the output volume from UI, this patch will fix this issue, after
    applying this patch, the speaker and headphone will have independent
    volume. (LP: #1930188)

 -- Hui Wang <email address hidden> Mon, 13 Sep 2021 12:11:14 +0800

Changed in pulseaudio (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-ucm-conf - 1.2.2-1ubuntu0.11

---------------
alsa-ucm-conf (1.2.2-1ubuntu0.11) focal; urgency=medium

  * d/p/0033-HDA-Intel-add-Boost-volume-control-for-Headset-Mic.patch
    Add Mic Boost in the HDA Intel ucm, after this change, when users
    adjust input volume, the Mic Boost could be adjusted as well as
    Capture Volume. (LP: #1930188)

 -- Hui Wang <email address hidden> Tue, 14 Sep 2021 15:11:12 +0800

Changed in alsa-ucm-conf (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Bijay Shah (bijay135) wrote :

All 7 packages were not yet available from software updater in focal but I managed to upgrade them using apt-get upgrade and seems to work fine. Thanks all again.

Revision history for this message
Hui Wang (hui.wang) wrote :

Install the impish on a Lenovo machine, and update the alsa-ucm-conf to 1.2.4-2ubuntu5, the mic boost and capture volume could be adjusted witht the UI input volume adjusting

Verification done on the impish (alsa-ucm-conf).

tags: added: verification-done verification-done-impish
removed: verification-needed verification-needed-impish
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-ucm-conf - 1.2.4-2ubuntu5

---------------
alsa-ucm-conf (1.2.4-2ubuntu5) impish; urgency=medium

  * d/p/0008-HDA-Intel-add-Boost-volume-control-for-Headset-Mic.patch
    Add Mic Boost in the HDA Intel ucm, after this change, when users
    adjust input volume, the Mic Boost could be adjusted as well as
    Capture Volume. (LP: #1930188)

 -- Hui Wang <email address hidden> Tue, 14 Sep 2021 10:54:28 +0800

Changed in alsa-ucm-conf (Ubuntu Impish):
status: Fix Committed → Fix Released
Changed in alsa-ucm-conf (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.